Virtualbricks dependencies for installation ?

Asked by Saverio Proto on 2011-03-10

Hello,

I successfully installed virtualbricks on my system, but before having it all working I figured out you need:

tuntap drivers installed and tun loaded into kernel
recent qemu (0.14) with vde enabled
recent version of vde

I wonder if there is an official list of dependecies needed to run virtualbricks

thanks

Saverio Proto

Question information

Language:
English Edit question
Status:
Solved
For:
Virtualbricks Edit question
Assignee:
No assignee Edit question
Last query:
2011-03-10
Last reply:
2011-09-30

   * qemu/kvm must have vde support (check with $QEMU -help |grep vde)
   * python deps: python-pygraphviz, python-imaging
   * gksu or similar, to get root acces (e.g. to enable KSM support or start a tap)
   * vde2-cryptcab and sha1sum if you intend to use tunnels

Francesco Apollonio (lorddex) said : #2

closing